Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
lp_hai

[Hỏi]Code in bản vẽ theo Previous

Các bài được khuyến nghị

lp_hai    207

Chào cả nhà, Thường khi xuất bản vẽ em hay in nhiều bản cùng một setup giống nhau, Vì không phải in tất cả và đôi khi chỉ in tham khảm vài bản nên em không dùng Publish hay setup lại kiểu in, mà em chỉ chỉnh 1 file rồi mấy cái sau cứ in Previous. Em mới viết cái code này để ko phải bấm lệnh in rồi chọn... :)

 

(command "-plot" "N" (car(layoutlist)) "previous plot" "" "" "" "")

 

Vấn đề là em muốn lisp này nó ngừng khi hiện cái tên Máy in vừa in để dễ theo dõi (vì trí nhớ em kém đôi khi ko biết mới in kiểu gì xong :) ) Mong các bác giúp đỡ cho nó ngừng tại đó, khi em nhìn thấy tên máy in ok thì enter phát nó chạy tiếp mấy cái "" phía sau luôn.

Hoặc chỉ giúp em cái code lấy tên máy in Previous

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
gia_bach    1.442

...............

Hoặc chỉ giúp em cái code lấy tên máy in Previous

Phải cái này không ?

 

(vlax-get-property (vla-get-ActiveLayout (vla-get-ActiveDocument(vlax-get-acad-object))) 'ConfigName )

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
gia_bach    1.442

ko phải bác ah, cái này hình như là máy in hiện hành!

Ừ nhầm rùi.

Thử cái này xem sao ? (win Xp, cad10)

(defun gen_get_lastprinter (/ regkey)
 (setq regkey (strcat "HKEY_CURRENT_USER\\"
                  	(vlax-product-key)
                  	"\\Profiles\\"
                  	(getvar "CPROFILE")
                  	"\\Previous plot settings" )  )
 (if (eq (getvar "tilemode") 1)
(vl-registry-read (strcat regkey "\\Model") "Cfg Name")
(vl-registry-read (strcat regkey "\\Layout") "Cfg Name")  )  )

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
lp_hai    207

Thật tuyệt, nhờ lisp này mà em mới biết thêm là cad lưu 2 máy in sau cùng: 1 cho Model, và 1 cho layout

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
lp_hai    207

thử chạy đoạn code của bác lần đầu tiên rất Ok bác ah, nhưng em thử đổi máy in, và gọi thử hàm (gen_get_lastprinter) thì nó lại cho về máy in như lần đầu tiên. Bác có cách khắc phục không ah?

Nhưng nếu em tắt CAD đi và mở lại thì nó lại đúng, nhưng cũng 1 lần thôi, em đổi máy in và in ra luôn, gọi lại nó vẫn cho kết quả là cái máy in ban đầu??

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×